XCIN(1)

NAME
xcin - The Chinese-Input server for the X Window System.

SYNOPSIS
xcin [options]

DESCRIPTION
Xcin is a Chinese-Input server for the X Window System. It is originally written by Edward Der-Hua Liu, the version of xcin-2.1b, package-rearranged by Tung-Han Hsieh, the version of xcin-2.1c, and highly improved by Suei-Jeng Wang <vvvv.bbs@cis.nctu.edu.tw>, the version of XcinFix4. This version, xcin-2.1d, is based on xcin-2.1b, with some features of xcin-2.1c, and plus the improvement of XcinFix4. It is intended to provide a more flexible, more powerful, and more reliable Chinese-input environment for various users. Xcin is only an input-server. It should work with the display-client which is compiled with cli_xcin.o module, such as crxvt (1). On the start up, xcin will check the data files in it default search path (see -tabdir option). If the users start xcin with their favorite UDIM (see below), then xcin will try to search the data files of the UDIM in the following sequence:
    1. $(HOME)
    2. $(HOME)/.xcin
    3. The value defined in $(XCIN_DIR) in Makefile (The
       default search path). Xcin provides a lot of options to help users to configure their Chinese-input environment. However, it seems that it will be a little difficult to explain them completely in English. Therefore, this manual page only serves as a quick guideline on how to use these options. For detailed description, please referred to xcin.HOWTO document with this package (In fact, this manual page is based on xcin.HOWTO).

OPTIONS
There are two ways to use these options. One is appending these options directly on the command line, such as: xcin -in9 Boshiamy.tab -vb 2 -len 10 -sinmd zmdbosh.tab -inmd 9 or use the standard X-window resource file. Usually the custom X-resource is the $(HOME)/.Xdefault. One can add the following lines into the resource file:
    xcin.in9: Boshiamy.tab
    xcin.vb: 2
    xcin.len: 10
    xcin.sinmd: zmdbosh.tab
    xcin.inmd: 9 and this is equivalent to the command line listed above. Note that each option has the format: <option name> <value>. For one example on the above, in9 is the option name, and Boshiamy.tab is the value. Here and after we will use the following definitions:
User Defined Input Method (UDIM)
    Xcin provides a utility cin2tab for users to prepare their own input-method. One can simply edit a .cin input-method definition file and use cin2tab to transform it for xcin (for details, please refer to cin2tab (1)). One can use this method to generate the input-method table such as ChangJei, Array, or Boshiamy. But Phonetic, Phrase Phonetic, Internal Encoding and Phrase Library are internally defined by xcin. They are not belong to UDIM.
Fully Input Encoding (FIE)
Every UDIM has the maximum encoding length. For example,
    ChangJei and Array have at most 5 codes to form a character, and Array has at most 4 codes. If we should type to fill the maximum encoding length to generate a particular character under a particular UDIM, we call it is under the FIE state.
The supported options are listed as following:

-bg color
    Set the background color of xcin to be color.

-cw value
    If value is 0, then one should use BackSpace to clear wrong input. If it is 1, then one can just press a Space key to clear wrong input.

-display display
    Set the remote X-server display of xcin to be display.

-fg color
    Set the foreground color of xcin to be color.

-font fontName
    Set the English font of xcin to be fontName.

-fnb5 fontName
    Set the Chinese font of xcin to be fontName. Note that the width of Chinese font should be twice as that of English font. For example, if you use the taipei24k (with width 24) to be the Chinese font, then you should better use the 12x24 (with width 12) to be the English font.

-geometry geometry
    Set the geometry of xcin to be geometry.

-going goingValue
    Use this option to switch xcin into National Phonetic mode or not under Phrase Phonetic. This option is originally introduced by Jian-Da Li <jdli@FreeBSD.csie.nctu.edu.tw>. In this mode, one can use down key to select characters, use space key to output space directly, and others. Set goingValue to 1 to switch on this mode, or set it to 0 to switch off this mode.

-hidden value
    Set value to 1 to hid xcin when the client is under the English input mode or focus on the X-application which is not the xcin client. Set it to 0 will not hid xcin under the circumstance. In addition, you can also use the key set Ctrl-Alt-m to switch it to be on or off. The default value is 0.

-in? inputName
    Set the key sets Ctrl-Alt-? to be the input-method inputName. The value of ? can be 1, 2, 4, 5, 7, 8, 9, and 12. Note that -in3, -in6, -in0, -in11 are preserved for internal input-methods: -in3 is Phonetic, -in6 is Phrase Phonetic, -in0 is Enternal Encoding, and -in11 is Phase Library (see the description of -vocbox option). The -in11 and -in12 are special and use the Ctrl-Alt-- and Ctrl-Alt-= key sets, respectively. Also note that the -in9 has been optimized for Boshiamy. If you want to use Boshiamy as UDIM, it is recommended to use -in9.

-inbg color
    Set the background color of the input region of xcin to be color.

-infg color
    Set the foreground color of the input region of xcin to be color.

-inmd ?
    Set the default input-method to use when xcin starts up. The value of ? can be one of the number 1 - 12.

-last_full value
    When you type the FIE for a particular character, xcin have the ability to output the character directly without a Space key. This option will control this action of xcin. Set value to 0 will output char directly; set it to 1 will output directly but ignore the following Space key; set it to 2 will not output directly (should use Space key to send the char).

-len length
    Set the length of xcin to be length. This is the number of English characters which can be fit into the xcin window. It is a relative value, i.e., if length is zero, then the width of xcin can fit in 44 English characters. You can enlarge or shorten its width by assigning it to be positive or negative values. Note that its value should be greater than -43.

-phrase phraseName
    Use the key set Shift-Alt-<one key> will send a phrase directly in xcin. Use this option to set the phrase file to be phraseName. The default value is sample.phs.out.

-pintsin ptValue
    Use this option to turn the Phrase Phonetic from Phonetic input into Roman Phonetic input. Set ptValue to 1 to turn on this mode, or set it to 0 to turn off this mode.

-sinmd inputName
    Xcin has the ability to show the encoding of each character you input. This option can assign xcin to use inputName input-method to use to show the default encoding.

-tabdir tabPath
    Use this option with value tabPath to override the default search path for data files and input-method tables of xcin. The default value is defined in the XCIN_DIR variable in the compiling time.

-tsfname fileName
    Use this option with value fileName to override the default data filename of Phrase Phonetic input-method. By default, xcin will use the tsin and tsin.idx files. By using this option, xcin will search for fileName and fileName.idx files.

-wild value
    If you want to type a particular character but unfortunately you can only remember parts of its encoding, you can type the encoding which you remembered with the "*" or "?" code. Xcin has the ability to list all the characters with the encodings which satisfy the wild field. Use the option to turn this ability to be on or off. If you set value to 1, it is on, or you set value to 0, it is off.

-vb value
    Use this option to control xcin to beep or not. value can be following values:
         1 : Only beep when you type the wrong
              encoding.
         2 : Only beep when you type the encoding with
              duplicate characters.
         3 : Don't beep in any case.
         4 : Beep when you type the wrong encoding or
              encoding with duplicate characters.

-vocbox vocName
    Use the key set Ctrl-Alt-- will switch to the Phrase Library input-method. One can use this option to set the Phrase Library data file to be vocName.

-rel value
    Setting the function of relative words or phrases. value=0 will turn it off; value=1 will turn it on. If not specified, the default is turning off.

-relfile filename
    Specify the file name of the relative words or phrases. If not specified, the default file tsin.rel will be used.

-relco color_ name
    Specify the color name of the relative words or phrases. If not specified, the default value is gray.

-row value
    Setting the rows of the xcin window. The value can be 1 or 2.

BUGS
If you find any bugs, please report to:
      vvvv.bbs@cis.nctu.edu.tw
   or thhsieh@twcpro.phys.ntu.edu.tw.

AUTHORS
Edward Der-Hua Liu
     (Original author of xcin-2.1b) Jian-Da Li <jdli@FreeBSD.csie.nctu.edu.tw>
     (Contribtion on National Phonetic mode) Tung-Han Hsieh <thhsieh@twcpro.phys.ntu.edu.tw>
     (xcin-2.1c, xcin-2.1d package management) Suei-Jeng Wang <vvvv.bbs@cis.nctu.edu.tw>
     (XcinFix4: highly improved version of xcin-2.1b)

SEE ALSO
crxvt(1), cin2tab(1), xcin.HOWTO, cin2tab.HOWTO, Boshiamy.HOWTO, Xfonts.HOWTO